using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 安全科技计划来源
    /// </summary>
    [Description("安全科技计划来源")]
    public partial class T_TI_PLAN_SOURCE : MesEntityBase
    {
        /// <summary>
        /// 计划ID
        /// </summary>
        [Description("计划")]
        [DataFieldForeignKey("Nav_Plan", "Nav_Sources")]
        public Guid PLAN_ID { get; set; }

        /// <summary>
        /// 导航：计划
        /// </summary>
        [Description("导航：计划")]
        public virtual T_TI_PLAN Nav_Plan { get; set; }

        /// <summary>
        /// 来源ID
        /// </summary>
        [Description("来源")]
        [DataFieldForeignKey("Nav_Source")]
        public Guid SOURCE_ID { get; set; }

        /// <summary>
        /// 导航属性：来源
        /// </summary>
        [Description("导航属性：来源")]
        public virtual T_TI_PLAN_SOURCE_TYPE Nav_Source { get; set; }

    }
}
